<?php

/**
 * nCode
 * Author: Bomfile
 * Version 1.0
 */

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

function ncoderesize_info()
{
	global $lang;
	$lang->load('ncoderesize');
	
	return array(
		"name"			=> $lang->ncoderesize_ncode,
		"description"	=> $lang->ncoderesize_ncode_desc,
		"website"		=> "http://www.mybbdestek.com",
		"author"		=> "Bomfile",
		"authorsite"	=> "http://www.mybb.gen.tr",
		"version"		=> "1.0",
		"guid" 			=> "065dc1cd825aa715bae80fb061220abf",
		"compatibility" => "*"
	);
}

$plugins->add_hook("global_start", "ncoderesize_fetchtemplate");

function ncoderesize_activate()
{
global $db, $mybb, $lang;
$lang->load('ncoderesize');

	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("headerinclude", "#".preg_quote('{$stylesheets}')."#i",'{$ncoderesize_script}{$stylesheets}');

	global $db;
	///// Ayarlar //////
    $group = array(
		"name" =>			"ncoderesize_settings",
		"title" =>			$lang->ncoderesize_settings,
		"description" =>	$lang->ncoderesize_settings_desc,
	);
    $db->insert_query("settinggroups", $group);
	$gid = $db->insert_id();
	// Ayar 1
    $s1 = array(
		"name"			=> "ncoderesize_maxwidth",
		"title"			=> $lang->ncoderesize_maxwidth,
		'description'   => $lang->ncoderesize_maxwidth_desc,
		"optionscode"	=> "text",
		"value"			=> "640",
		"disporder"		=> "1",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s1);
	// Ayar 2
	$s2 = array(
		"name" 			=> "ncoderesize_maxheight",
		"title" 		=> $lang->ncoderesize_maxheight,
		"description"	=> $lang->ncoderesize_maxheight_desc,
		"optionscode" 	=> "text",
        "value" 		=> "0",
		"disporder" 	=> "2",
		"gid" 			=> intval($gid),
		);
	$db->insert_query("settings", $s2);
	// Ayar 3
	$s3 = array(
		"name" 			=> "ncoderesize_mode",
		"title" 		=> $lang->ncoderesize_mode,
		"description"	=> $lang->ncoderesize_mode_desc,
		"optionscode"  => "select
none=$lang->ncoderesize_mode_none
enlarge=$lang->ncoderesize_mode_enlarge
samewindow=$lang->ncoderesize_mode_samewindow
newwindow=$lang->ncoderesize_mode_newwindow",
        'value'        => "newwindow",
		"disporder" 	=> "3",
		"gid" 			=> intval($gid),
		);
	$db->insert_query("settings", $s3);
	rebuild_settings();
	
	// Şablonu Oluştur
	$templates['ncoderesize_head'] = <<<EOT
<script type="text/javascript" src="ncode/js/ncode_imageresizer.js?v=1.0.1"></script>
<link rel="stylesheet" type="text/css" href="ncode/css/ncode.css" />
<script type="text/javascript">
var vbphrase = new Array();

NcodeImageResizer.MODE = '{\$mybb->settings['ncoderesize_mode']}';
NcodeImageResizer.MAXWIDTH = {\$mybb->settings['ncoderesize_maxwidth']};
NcodeImageResizer.MAXHEIGHT = {\$mybb->settings['ncoderesize_maxheight']};

NcodeImageResizer.BBURL = '{\$mybb->settings['bburl']}';

vbphrase['ncode_imageresizer_warning_small'] = '{\$lang->ncode_imageresizer_warning_small}';
vbphrase['ncode_imageresizer_warning_filesize'] = '{\$lang->ncode_imageresizer_warning_filesize}';
vbphrase['ncode_imageresizer_warning_no_filesize'] = '{\$lang->ncode_imageresizer_warning_no_filesize}';
vbphrase['ncode_imageresizer_warning_fullsize'] = '{\$lang->ncode_imageresizer_warning_fullsize}';
</script>
EOT;
	
	foreach($templates as $title => $template)
	{
		$insert_template = array(
			'title'		=> $title,
			'template'	=> $db->escape_string($template),
			'sid'		=> '-1',
			'version'	=> '140',
			'dateline'	=> TIME_NOW
		);
		$db->insert_query("templates", $insert_template);
	}
}


function ncoderesize_deactivate()
{
global $db, $mybb;
    require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("headerinclude", "#".preg_quote('{$ncoderesize_script}')."#i", '', 0);

	global $db;
	
	// Ayarları Sil
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='ncoderesize_settings'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ncoderesize_maxwidth'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ncoderesize_maxheight'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ncoderesize_mode'");
	
	// Şablonu Sil
	$deletetemplates = array('ncoderesize_head');
	foreach($deletetemplates as $title)
	{
		$db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='".$title."'");
	}
}

function ncoderesize_fetchtemplate()
{
	global $templates, $ncoderesize_script, $mybb, $lang;
	$lang->load('ncoderesize');
	eval("\$ncoderesize_script .= \"".$templates->get("ncoderesize_head")."\";");
}
?>